%global npm_name npm-bundled
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.3
Release: %mkrel 5
Summary: List things in node_modules that are bundledDependencies
License: ISC
Group: Development/Other
URL: https://github.com/npm/npm-bundled#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
List things in node_modules that are bundledDependencies,
or transitive dependencies thereof.

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.3-5.mga10
+ Revision: 2208249
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.0.3-4.mga9
+ Revision: 1818546
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.3-3.mga8
+ Revision: 1503055
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.3-2.mga7
+ Revision: 1280878
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 1.0.3-1.mga7
+ Revision: 1225966
- imported package nodejs-npm-bundled

